Skip to main content
PUT
Update a wallet

Authorizations

Authorization
string
header
required

Circle's API Keys are formatted in the following structure "PREFIX:ID:SECRET". All three parts are required to make a successful request.

Headers

X-User-Token
string
required

Unique system generated JWT session token for specific user.

Path Parameters

id
string<uuid>
required

The universally unique identifier of the resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Body

application/json

Schema for the request payload to update an existing wallet.

name
string

Name or description associated with the wallet or walletSet.

Example:

"my wallet"

refId
string

Optional user-defined reference identifier for the wallet. Not used by Circle for wallet functionality. Used for internal tracking or associating wallets with entities in your own systems (for example, a customer or account ID).

Example:

"customer_12345"

Response

Successfully updated wallet metadata.

data
object
required